<article id="post-<?php the_ID(); ?>" <?php post_class('single-style1'); ?>>

	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>	
			<div class="entry-meta">
				<?php
				phnewsfeed_posted_on();
				phnewsfeed_posted_by();
				?>
			</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<?php phnewsfeed_post_thumbnail(); ?>

	<div class="entry-content clearfix">
		<?php the_content(); ?>
	</div><!-- .entry-content -->

	<footer class="entry-footer clearfix">
		<?php phnewsfeed_entry_footer(); ?>
	</footer><!-- .entry-footer -->
		
	<?php
		the_post_navigation(
			array(
				'prev_text' => '<i class="fa fa-arrow-alt-circle-left"></i><span class="nav-title">%title</span>',
				'next_text' => '<span class="nav-title">%title</span><i class="fa fa-arrow-alt-circle-right"></i>',
			)
		); 
	
		// If comments are open or we have at least one comment, load up the comment template.
		if ( comments_open() || get_comments_number() ) :
			comments_template();
		endif;
	?>			
</article><!-- #post-<?php the_ID(); ?> -->